Subject: Re: [IPTEL] FW: I-D ACTION:draft-ietf-iptel-trip-mib-00.txt

From: "Hussein F. Salama" <[email-masked]>
Date: Sat, 01 Sep 2001 11:04:36 -0700

A few comments on the MIB:

- The MIB currently only tracks the incoming routes and the route selected
routes. Shouldn't it also track the outgoing routes. These could differ from the
selected routes due to aggregation, changes to some attributes, or the effects
of communities.
- The word "TRIP Identifier" is used throughout the document. Wouldn't it be
more accurate to use "TRIP LS Identifier?"
- Page 8. The TripCfgEntry. Why does it only include 4 timer values instead of
all seven timers?
- A few basic questions for me to better understand the different objects. What
does TripCfgEntry represent? Is it global or per LS? How does it differ from the
TripPeerEntry defined later in the document?
- On page 11, the tripSendReceiveMode capability is defined. Why not define an
object for the tripRouteTypesSupported capability as well?
- On Page 21, shouldn't TripRouteEntry also include a fied for when this route
was received, a timestamp?
On Page 27,

     TripItadTopologyEntry ::= SEQUENCE {
                    tripItadTopologyOrigId    TripItad
                    tripItadTopologySeqNum    Integer32
                }

        tripItadTopologyOrigId OBJECT-TYPE
            SYNTAX      TripItad
            MAX-ACCESS  not-accessible

Shouldn't both occurences of "TripItad" be changed to a TRIP LS Identifier. The
orginiator of TRIP topology information is a TRIP LS not an ITAD.

Thanks.

Hussein

Jonathan Rosenberg wrote:

> Folks,
>
> As we discussed in the meeting, the iptel group is currently chartered to
> complete a TRIP MIB for submission to IESG in September of 2001. I am
> committed to NOT missing the dates in our current charter, as we did an
> awful job of meeting our deadlines for our initial deliverables.
>
> So, I would now like to open a two week working group last call for
> draft-ietf-iptel-trip-mib-00.txt. Please send comments on this document to
> the list within the next two weeks. I also want this document formally
> reviewed, in detail, by a TRIP expert and a MIB expert. Thus, I am
> requesting two volunteers (one TRIP expert, one MIB expert) to perform a
> detailed review during the last call period. If I do not get two volunteers
> by Monday Aug 27, I will tap people explicitly for the review, and use
> excessive amounts of guilt and other forms of persuasion to convince them to
> review it.
>
> Please email me privately if you wish to do a detailed review.
>
> Thanks,
> Jonathan R.
>
> ---
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, August 21, 2001 7:25 AM
> Cc: [email-masked]
> Subject: I-D ACTION:draft-ietf-iptel-trip-mib-00.txt
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the IP Telephony Working Group of the IETF.
>
>         Title           : Management Information Base for Telephony Routing
> over
>                           IP (TRIP)
>         Author(s)       : J. Jiang, D. Walker, D. Zinman
>         Filename        : draft-ietf-iptel-trip-mib-00.txt
>         Pages           : 40
>         Date            : 20-Aug-01
>
> This memo defines a portion of the Management Information Base (MIB)
> for use with network management protocols in the Internet community.
> In particular, it describes a set of managed objects that are used
> to manage for Telephony Routing over IP (TRIP) [2] devices.
> Since TRIP [2] is modelled after the Border Gateway Protocol (BGP-4)
> [3], the managed objects for TRIP are also modelled after RFC1657 -
> Definitions of Managed Objects for the Fourth Version of the Border
> Gateway Protocol (BGP-4) using SMIv2 [4].
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-iptel-trip-mib-00.txt
>
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-ietf-iptel-trip-mib-00.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-ietf-iptel-trip-mib-00.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>
> _______________________________________________
> IPTEL mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/iptel

--
Hussein F. Salama
Cisco Systems
Mail Stop SJC-24/3, 170 W. Tasman Drive, San Jose, CA 95134
Voice: +1 (408) 527-7147, Fax: +1 (408) 527-7147

---

From: "Bob Penfield" <[email-masked]>
Date: Tue, 4 Sep 2001 10:16:02 -0400

see embedded comments

----- Original Message -----
From: "Hussein F. Salama" <[email-masked]>
To: "Jonathan Rosenberg" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, September 01, 2001 2:04 PM
Subject: Re: [IPTEL] FW: I-D ACTION:draft-ietf-iptel-trip-mib-00.txt

> more accurate to use "TRIP LS Identifier?"

The base spec uses "TRIP Identifier". Why should the MIB be different?

> TripPeerEntry defined later in the document?

TripCfgEntry is the local LS (i.e. us). TripPeerEntry is for the LSs we're
talking to. Who "we" are is indicated by the applIndex.